commit:     ed32f54f25439b4e58939f264867880bbbea06b4
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 18 22:23:08 2018 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Aug 19 15:52:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed32f54f

dev-util/gn: bump to 0.1463

Package-Manager: Portage-2.3.46_p1_p562786, Repoman-2.3.10_p36_p562786

 dev-util/gn/Manifest              |  1 +
 dev-util/gn/files/gn-gen-r1.patch | 57 +++++++++++++++++++++++++++++++++++++++
 dev-util/gn/gn-0.1463.ebuild      | 56 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 114 insertions(+)

diff --git a/dev-util/gn/Manifest b/dev-util/gn/Manifest
index 105ea669977..0892e0a420b 100644
--- a/dev-util/gn/Manifest
+++ b/dev-util/gn/Manifest
@@ -1 +1,2 @@
 DIST gn-0.1445.tar.gz 958901 BLAKE2B 
f50dfa07c621e37d8a9face19ca91f28ca24e14717052218690e85911e25c91b109e6cede8d2be6c8493c0b7b8a305d530db4393123956c42da51cd4812d0300
 SHA512 
2ca21303aa8709fc4f23f15e01f2eaa8e77e394c27970a21361a22445d5cb29da150b1d05d77b471702ab2da2be04cea2a0d927eb0eb3a1baf3358c6eae15d06
+DIST gn-0.1463.tar.gz 905571 BLAKE2B 
e048e642704533d478fb751748a97f60283f63868ab1ab6fa5b8e7bc0322745cf21464eaa16194f684869b50f306668d3c7d3b4f72c3985b865d8492d1ff0901
 SHA512 
f32861a8fa44034b932e6aae4787fd7da6e4c6c19c5b6919de7b0d0f1ba20f415c1c55db95a08958a338b7b9de740ff49a29ab894a9c4e9049a89450d8c88281

diff --git a/dev-util/gn/files/gn-gen-r1.patch 
b/dev-util/gn/files/gn-gen-r1.patch
new file mode 100644
index 00000000000..77fdefcf222
--- /dev/null
+++ b/dev-util/gn/files/gn-gen-r1.patch
@@ -0,0 +1,57 @@
+diff --git a/build/gen.py b/build/gen.py
+index 76f88e84..5e088b2a 100755
+--- a/build/gen.py
++++ b/build/gen.py
+@@ -326,9 +326,6 @@ def WriteGNNinja(path, platform, host, options, 
linux_sysroot):
+     if options.debug:
+       cflags.extend(['-O0', '-g'])
+     else:
+-      cflags.append('-DNDEBUG')
+-      cflags.append('-O3')
+-      ldflags.append('-O3')
+       # Use -fdata-sections and -ffunction-sections to place each function
+       # or data item into its own section so --gc-sections can eliminate any
+       # unused functions and data items.
+@@ -340,14 +337,6 @@ def WriteGNNinja(path, platform, host, options, 
linux_sysroot):
+         # Garbage collection is done by default on aix.
+         ldflags.append('-Wl,--gc-sections')
+ 
+-      # Omit all symbol information from the output file.
+-      if platform.is_darwin():
+-        ldflags.append('-Wl,-S')
+-      elif platform.is_aix():
+-        ldflags.append('-Wl,-s')
+-      else:
+-        ldflags.append('-Wl,-strip-all')
+-
+       # Enable identical code-folding.
+       if options.use_icf:
+         ldflags.append('-Wl,--icf=all')
+@@ -356,26 +345,17 @@ def WriteGNNinja(path, platform, host, options, 
linux_sysroot):
+         '-D_FILE_OFFSET_BITS=64',
+         '-D__STDC_CONSTANT_MACROS', '-D__STDC_FORMAT_MACROS',
+         '-pthread',
+-        '-pipe',
+         '-fno-exceptions',
+         '-fno-rtti',
+     ])
+     cflags_cc.extend(['-std=c++14', '-Wno-c++11-narrowing'])
++    ldflags.append('-pthread')
+ 
+     if platform.is_linux():
+       if linux_sysroot:
+         # Use the sid sysroot that UpdateLinuxSysroot() downloads.
+         cflags.append('--sysroot=' + linux_sysroot)
+         ldflags.append('--sysroot=' + linux_sysroot)
+-      ldflags.extend([
+-          '-static-libstdc++',
+-          '-Wl,--as-needed',
+-      ])
+-      libs.extend([
+-          # These are needed by libc++.
+-          '-ldl',
+-          '-lpthread',
+-      ])
+     elif platform.is_darwin():
+       min_mac_version_flag = '-mmacosx-version-min=10.9'
+       cflags.append(min_mac_version_flag)

diff --git a/dev-util/gn/gn-0.1463.ebuild b/dev-util/gn/gn-0.1463.ebuild
new file mode 100644
index 00000000000..7192511c83e
--- /dev/null
+++ b/dev-util/gn/gn-0.1463.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit ninja-utils python-any-r1 toolchain-funcs
+
+DESCRIPTION="GN is a meta-build system that generates build files for Ninja"
+HOMEPAGE="https://gn.googlesource.com/";
+SRC_URI="https://dev.gentoo.org/~floppym/dist/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-util/ninja
+"
+
+PATCHES=(
+       "${FILESDIR}"/gn-gen-r1.patch
+)
+
+pkg_setup() {
+       :
+}
+
+src_configure() {
+       python_setup
+       tc-export AR CC CXX
+       set -- ${EPYTHON} build/gen.py --no-sysroot --no-last-commit-position
+       echo "$@"
+       "$@" || die
+       cat >out/last_commit_position.h <<-EOF || die
+       #ifndef OUT_LAST_COMMIT_POSITION_H_
+       #define OUT_LAST_COMMIT_POSITION_H_
+       #define LAST_COMMIT_POSITION "${PV}"
+       #endif  // OUT_LAST_COMMIT_POSITION_H_
+       EOF
+}
+
+src_compile() {
+       eninja -C out gn
+}
+
+src_test() {
+       eninja -C out gn_unittests
+       out/gn_unittests || die
+}
+
+src_install() {
+       dobin out/gn
+       einstalldocs
+}

Reply via email to